InterpolationConstant (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface InterpolationConstant

- All Known Implementing Classes:
    InterpolationDefinitionImpl

      public interface InterpolationConstant

  Implement this interface to access unique identifiers for the definition of an interpolation function, which specifies the mechanism used to calculate the values produced by a varying value. Varying values are used to specify time-varying effect parameters over a set of control points. The additional metadata provided by the annotation can be used in combination with the identifier to create a interpolation definition.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported interpolation definitions.

  See Also:
    `InterpolationDescription`, `InterpolationDefinition`, `VaryingValue`, `TypeDefinitions.InterpolationDefinitionWeakReference`, `TypeDefinitions.InterpolationDefinitionStrongReference`, `TypeDefinitions.InterpolationDefinitionStrongReferenceSet`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `BSpline` Interpolation defined over a set of control points where the output is computed by the calculation of a B-spline function.
    `static AUID` | `Constant` Interpolation producing a constant value on the output whatever the input (time) value is until the next control point is reached.
    `static AUID` | `Linear` Interpolation defining a linear relationship between the input (time) and output, where the output parameter varies in a straight line between two values.
    `static AUID` | `Log` Interpolation defined over a set of control points where the output is computed by the calculation of a logarithmic function.
    `static AUID` | `None`
    `static AUID` | `Power` Interpolation defined over a set of control points where the output is computed by the calculation of mathematical power function.

- - ### Field Detail

    - #### None

          @InterpolationDescription
          static final AUID None

    - #### Linear

          @InterpolationDescription(description="Parameter varies in a straight line between two values.")
          static final AUID Linear

      Interpolation defining a linear relationship between the input (time) and output, where the output parameter varies in a straight line between two values.

    - #### Constant

          @InterpolationDescription
          static final AUID Constant

      Interpolation producing a constant value on the output whatever the input (time) value is until the next control point is reached.

    - #### BSpline

          @InterpolationDescription
          static final AUID BSpline

      Interpolation defined over a set of control points where the output is computed by the calculation of a B-spline function.

    - #### Log

          @InterpolationDescription
          static final AUID Log

      Interpolation defined over a set of control points where the output is computed by the calculation of a logarithmic function.

    - #### Power

          @InterpolationDescription
          static final AUID Power

      Interpolation defined over a set of control points where the output is computed by the calculation of mathematical power function.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.